---
title: Glossary
---

## Abra

A command-line tool that has been developed specifically in the context of the Co-op Cloud project for the purpose of making day-to-day operations for [operators](/operators/) and [maintainers](/maintainers/) as convenient as possible. It is libre software, written in [Go](https://go.dev/) and maintained and extended by the community. You can find the source [here](https://git.coopcloud.tech/coop-cloud/abra).

## App

An app is a libre software that you use, e.g. Wordpress, Gitea, Jitsi, Nextcloud, etc. When you `abra app deploy <domain>`, you deploy an app. It is quite an overloaded term in general, often referring to many different things. We struggled with using this word but it seems to be one word people recognise and have a point of reference for.

## Container

A [Docker](/glossary#docker) term: a running instance of an [image](/glossary#image), running processes that are isolated from the host system.

## Deployment

When you run `abra app deploy <domain>`, `abra` reads a [recipe](/glossary#recipe) configuration and creates an [app](/glossary#app).

## Docker

[Docker Inc.](https://www.docker.com/), the company who popularised the concept of [the container](https://www.docker.com/resources/what-container). The same company has created the underlying tools & libraries that `abra` uses to get work done.

## Environment variables

Variables passed from the shell to processes invoked by it. They are used for configuring [services](/glossary#service).

## Environment file

A file contained in a [recipe](/glossary#recipe) describing the contents of [environmental variables](/glossary#environment-variables).

## Image

A [Docker](/glossary#docker) term: a template for creating [containers](/glossary#container), describing their file structure and installed binaries.

## Proxy network

A [Docker](glossary#docker) related concept: a virtual network created on the server machine used for communicating between [services](/glossary#service). Any [service](/glossary#service) can be plugged into more than one [network](/glossary#network), allowing for control over data sharing between them.

## Recipe

A recipe is what we call the configuration files that are used to deploy an [app](/glossary#app). When you run `abra app deploy <domain>`, `abra` is reading a recipe configuration, such as [the gitea recipe](https://git.coopcloud.tech/coop-cloud/gitea), in order to know how to deploy a new Gitea instance. When we speak of a "digital configuration commons", we're primarily referring to the [growing collection of recipes](https://git.coopcloud.tech/coop-cloud).

## Secret

A [Docker](/glossary#docker) related concept: A way to store passwords encrypted on disk and mounted inside the [containers](/glossary#container) as files that can be read that contain the secret. See the [Docker secrets documentation for more](https://docs.docker.com/engine/swarm/secrets/). `abra` makes use of this approach to store secrets for deployed [apps](/glossary#app).

## Service

A [Docker](glossary#docker) term: a single [container](/glossary#container) that is a part of a [stack](glossary#stack).

## Stack

A [Docker](glossary#docker) term: one or more [services](/glossary#service) running together to provide a functionality.

## Volume

A [Docker](/glossary#docker) term: a directory that can be mounted inside a [container](/glossary#container) to store data. Because [containers](/glossary#container) are meant to be non-changeable and disposable, any data that is supposed to not be lost between updates or restarts is stored in volumes.
